export const authTypes = Object.freeze({
    START_FETCHING: '[AUTH] - START_FETCHING',
    STOP_FETCHING:  '[AUTH] - STOP_FETCHING',
    SET_PROFILE:    '[AUTH] - SET_PROFILE',
    SET_TOKEN:      '[AUTH] - SET_TOKEN',
    SET_MESSAGE:    '[AUTH] - SET_MESSAGE',
    SET_SUCCESS:    '[AUTH] - SET_SUCCESS',
    RESET_MESSAGE:  '[AUTH] - RESET_MESSAGE',

    // Async
    LOGIN_ASYNC:       '[AUTH] - LOGIN_ASYNC',
    SIGNUP_ASYNC:      '[AUTH] - SIGNUP_ASYNC',
    LOGOUT_ASYNC:      '[AUTH] - LOGOUT_ASYNC',
    GET_PROFILE_ASYNC: '[AUTH] - GET_PROFILE_ASYNC',
});
